KFloatValidator class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFloatValidator Class Reference

`#include <knumvalidator.h>`

Inheritance diagram for KFloatValidator:

[legend]
Collaboration diagram for KFloatValidator:

[legend]
List of all members.

## Public Member Functions
| KFloatValidator (QWidget *parent, const char *name=0)
| Constructor.
| KFloatValidator (double bottom, double top, QWidget *parent, const char *name=0)
| Constructor.
| KFloatValidator (double bottom, double top, bool localeAware, QWidget *parent, const char *name=0)
| Constructor.
virtual | ~KFloatValidator ()
| Destructs the validator.
virtual State | validate (QString &, int &) const
| Validates the text, and return the result.
virtual void | fixup (QString &) const
| Fixes the text if possible, providing a valid string.
virtual void | setRange (double bottom, double top)
| Sets the minimum and maximum value allowed.
virtual double | bottom () const
| Returns the current minimum value allowed.
virtual double | top () const
| Returns the current maximum value allowed.
void | setAcceptLocalizedNumbers (bool b)
| Sets the validator to be locale aware if `is` true.
bool | acceptLocalizedNumbers () const
| Returns true if the validator is locale aware.

## Detailed Description

Deprecated:
  Use KDoubleValidator

QValidator for floating point entry. Extends the QValidator class to properly validate double numeric data. This can be used by QLineEdit or subclass to provide validated text entry.

Author:
  Glen Parker <glenebob@nwlink.com>

Version:
  0.0.1

Definition at line 106 of file knumvalidator.h.

## Constructor & Destructor Documentation

KFloatValidator::KFloatValidator | ( | QWidget * | parent,
|  | const char * | name = 0
| ) |

| Constructor. Definition at line 165 of file knumvalidator.cpp. References KStdAccel::name().

KFloatValidator::KFloatValidator | ( | double | bottom,
|  | double | top,
|  | QWidget * | parent,
|  | const char * | name = 0
| ) |

| Constructor. Also sets the minimum and maximum values. Definition at line 173 of file knumvalidator.cpp. References KStdAccel::name().

KFloatValidator::KFloatValidator | ( | double | bottom,
|  | double | top,
|  | bool | localeAware,
|  | QWidget * | parent,
|  | const char * | name = 0
| ) |

| Constructor. Sets the validator to be locale aware if `localeAware` is true. Definition at line 182 of file knumvalidator.cpp. References KStdAccel::name().

KFloatValidator::~KFloatValidator | ( |  | ) | `[virtual]`

| Destructs the validator. Definition at line 191 of file knumvalidator.cpp.

## Member Function Documentation

QValidator::State KFloatValidator::validate | ( | QString & | ,
|  | int & |
| ) | const`[virtual]`

| Validates the text, and return the result. Does not modify the parameters. Reimplemented from QValidator. Definition at line 207 of file knumvalidator.cpp. References KLocale::decimalSymbol(), QString::fromLatin1(), QString::length(), KGlobal::locale(), KLocale::readNumber(), QString::stripWhiteSpace(), and QString::toDouble(). Referenced by fixup().

void KFloatValidator::fixup | ( | QString & |  | ) | const`[virtual]`

| Fixes the text if possible, providing a valid string. The parameter may be modified. Reimplemented from QValidator. Definition at line 247 of file knumvalidator.cpp. References QString::setNum(), QString::toDouble(), and validate().

void KFloatValidator::setRange | ( | double | bottom,
|  | double | top
| ) | `[virtual]`

| Sets the minimum and maximum value allowed. Definition at line 269 of file knumvalidator.cpp.

double KFloatValidator::bottom | ( |  | ) | const`[virtual]`

| Returns the current minimum value allowed. Definition at line 278 of file knumvalidator.cpp.

double KFloatValidator::top | ( |  | ) | const`[virtual]`

| Returns the current maximum value allowed. Definition at line 283 of file knumvalidator.cpp.

void KFloatValidator::setAcceptLocalizedNumbers | ( | bool | b | ) |

| Sets the validator to be locale aware if `is` true. In this case, the character KLocale::decimalSymbol() from the global locale is recognized as decimal separator. Definition at line 196 of file knumvalidator.cpp.

bool KFloatValidator::acceptLocalizedNumbers | ( |  | ) | const

| Returns true if the validator is locale aware. See also: setAcceptLocalizedNumbers(). Definition at line 201 of file knumvalidator.cpp.

The documentation for this class was generated from the following files:

- knumvalidator.h
- knumvalidator.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:00:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001